<?php
/*======================================================================================
Module: Articles
======================================================================================*/

// Check authorisation
if (!isset($gCms)) exit;
if ( !$this->CheckPermission('Articles: modify articles') ) exit;

// Get POST data
$tabto = preg_replace('/[^0-9a-zA-Z_]/','',$params['tabto']);
$article = (int)$params['article'];
$active = $params['active'] ? 1 : 0;

// De-/Activate article
if ($article) {
	// De-/Activate the article
	$sql = 'UPDATE '.cms_db_prefix().'module_articles_articles SET active=? WHERE entry_id=?';
	$res = $db->Execute($sql,array($active, $article));
}

// Redirect
$this->Redirect($id, 'defaultadmin', $returnid, array( 'tabto'=>$tabto ));

// EOF